Subject: Re: bug#40254: 26.1; sgml-mode: Match data clobbered by buffer modification hooks

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Feb 2022 19:22:21 +0100

Vladimir Alexiev <[email-masked]> writes:

> runemacs -Q
> (find-file "index.html")
> (nxml-mode)
> Using schema c:/emacs/share/emacs/26.1/etc/schema/xhtml.rnc
> (sgml-electric-tag-pair-mode)
> Sgml-Electric-Tag-Pair mode enabled in current buffer
> Mark set
> sgml-electric-tag-pair-before-change-function: new clone
> (query-replace "<a" "<aa" nil nil nil nil nil) 
> replace-match-maybe-edit: Match data clobbered by buffer modification hooks

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Thanks; I can reproduce this bug in Emacs 26.1, but not in Emacs 29, so
it looks like this problem has been fixed in the meantime, and I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no